# forwardStdError

abstract fun forwardStdError(writer: Writer): GradleRunner

Configures the runner to forward standard error output from builds to the given writer.

The output of the build is always available via getOutput. This method can be used to additionally capture the error output.

Calling this method will negate the effect of previously calling forwardOutput.

The given writer will not be closed by the runner.

#### Return

this

#### Since

2.9

#### Parameters

writer

the writer that build standard error output should be forwarded to

#### See also

forwardOutput()
forwardStdOutput(Writer)